v1.0
delete
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/doseholdsettings/{id}
Deletes dose hold setting details of a given dose hold identified by ID. Rights required: SupplySettingRightsPost.
Request
Path Parameters
-
id(required): string(UUID)
Dose Hold ID to delete.Example:
F0E1D2C3B4A5968778695A4B3C2D1E0F -
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
A1B2C3D4E5F6478899AABBCCDDEEFF00
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Type:
string(uuid)Examples
400 Response
Invalid Dose Hold ID
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples